sc::Result(3)

NAME
sc::Result -

Result are members of Compute specializations that keep track of whether or not a particular result should be computed or if it has already been computed.

SYNOPSIS

#include <comptmpl.h>

Inherits sc::ResultInfo.

  Public Member Functions
Result (Compute *c)
Result (const Result< T > &r, Compute *c)
operator T & ()
T * operator-> ()
T & result ()
T & result_noupdate ()
const T & result_noupdate () const
void operator= (const T &a)
void operator= (const Result< T > &r)

Detailed Description

  template<class T> class sc::Result< T >
Result are members of Compute specializations that keep track of whether or not a particular result should be computed or if it has already been computed. For non-class template parameters, use NCResult.

Author

Generated automatically by Doxygen for MPQC from the source code.